// JavaScript Document
//alert("workspaces");
var userid=$.cookie("userid");
var reNO=false;
var opNO=false;
var num = GetQueryString("num");
function gatModule(){	
	$.ajax({		
			"url":"/ajax/resource/qapro",
			"type":"get",
			"async": true,
			"data":{"professorId":userid},
			"success":function(data)
			{console.log(data);
				if(data.success)
				{
					if(data.data.length>0)
					{
						reNO=true;
					}
				}
				
			}
	});
	$.ajax({		
	"url":"/ajax/operation/pqdem",
	"type":"get",
	"async": true,
	"data":{"demandId":userid},
	"success":function(data)
		{
			if(data.success)
			{console.log(data);
				if(data.data.data.length>0)
				{
					opNO=true;
				}
			}		
		}
	
	});
}
gatModule();

if(num==1){
	//alert("dd");
	$("#newsciresourcebtn,#newslist").show();
	$(".worksubmenu").eq(1).addClass("subcolor").siblings().removeClass("subcolor");
	$.ajax({
		"url":"newsciresource.html",
		"dataType":"html",
		"success":function(result){												
			$(".workcon").html(result);
		}		
	})		
}else if(num==2){
	$("#newsciresourcebtn,#newslist").show();
	$(".worksubmenu").eq(2).addClass("subcolor").siblings().removeClass("subcolor");
	$.ajax({
		"url":"news-list.html",
		"dataType":"html",
		"success":function(result){												
			$(".workcon").html(result);
		}		
	})	
}
else{
   $.ajax({
		"url":"workindex.html",
		"dataType":"html",
		"success":function(result){
			$(".workcon").html(result);
		}
	})	
}


	$(".workmenu").on("click",".workmenutit",function(){
		$.ajax({
			"url":"workindex.html",
			"dataType":"html",
			"success":function(result){
				//console.log(data);
								
			$(".workcon").html(result);
			}
		
		})
	})
	

	
	/*$(".workmenu").on("click","#consultbtn",function(){
		
		$.ajax({
			"url":"consult.html",
			"dataType":"html",
			"success":function(result){
				//console.log(data);
				$(".workcon").html(result);
				
				//判断咨询是否有数据，有显示，没有不显示
				var flag = 1;
			    if(flag == 0){
			        $(".worksamlltit3:first").hide();
			        $(".workmysrc3:first").hide();
			        $(".workmysrc3:last").fadeIn();
			    }else {
 
			        $(".worksamlltit3:first").addClass("active").show();
			        $(".workmysrc3:first").show(); 
			          
			        //On Click Event  
			        $(".worksamlltit3").click(function() {
			            $(".worksamlltit3").removeClass("worksamlltitnow");
			            $(this).addClass("worksamlltitnow");
			            
			            $(".workmysrc3").hide();
			            
			            var activeTab = $(this).attr("href");
//			            console.log(activeTab);
//			            console.log($(activeTab));
			            $(activeTab).fadeIn();
			            return false;
			        });
			        
			    };
				
			
			}
		
		})
		
	})*/
	
	
	$(".workmenu").on("click","#sciprojectbtn",function(){
		$.ajax({
			"url":"sciproject.html",
			"dataType":"html",
			"success":function(result){
				//console.log(data);
								
			$(".workcon").html(result);
			}
		
		})
	})
	$(".workmenu").on("click","#sciresourcebtn",function(){
		$.ajax({
			"url":"sciresource.html",
			"dataType":"html",
			"success":function(result){
				//console.log(data);
								
			$(".workcon").html(result);
			if(reNO==false&&opNO)
			{				
				$(".workmysrc1").eq(1).show().siblings().hide();
				$(".worksamlltit").eq(1).addClass("worksamlltitnow").siblings().removeClass("worksamlltitnow");
			}
			}
		
		})
		
	})
	
	/*新研发资源*/
	$(".workmenu").on("click","#newsciresourcebtn",function(){
		$.ajax({
			"url":"newsciresource.html",
			"dataType":"html",
			"success":function(result){
				//console.log(data);
				$(".workcon").html(result);
			}
		})
	})
	
	/*科研新闻*/
	$(".workmenu").on("click","#newslist",function(){
		$.ajax({
			"url":"news-list.html",
			"dataType":"html",
			"success":function(result){
				//console.log(data);
				$(".workcon").html(result);
			}
		})
	})
	

	/*我的工作台左边菜单背景点击切换*/
 	$(".workmenutit").click(function(){
 		$(".worksubmenu").removeClass("subcolor");
 		$(".workconitem").eq(0).show().siblings().hide();
 		
 	})
 	$(".worksubmenu").click(function(){
 		var index = $(this).index();
 		$(this).addClass("subcolor").siblings().removeClass("subcolor");	
 		$(".workconitem").eq(index).show().siblings().hide();
 	});
 	
 	/*咨询菜单点击切换*/
	/*$(".worksamlltit3").click(function(){
		var index = $(this).index();	
		$(this).addClass("worksamlltitnow").siblings().removeClass("worksamlltitnow");	
		$(".workmysrc3").eq(index).show().siblings().hide();
	});*/

 	/*科研项目菜单点击切换*/
 	/*$(".worksamlltit2").click(function(){
 		var index = $(this).index();	
 		$(this).addClass("worksamlltitnow").siblings().removeClass("worksamlltitnow");	
 		$(".workmysrc2").eq(index).show().siblings().hide();
 	});*/
 	
 	
 	
$(function(){
	loginStatus();//读取用户头像
	var userid = $.cookie("userid");
	var name = $.cookie("userName");

	var flag;
 	if(userid){
 		$(".myWorkspace").attr("href","workspaces.html?"+userid);
		
 	}
 	//快速回复
 	//$(".writeback").click(function(){
// 		$(this).siblings(".writebackbox").toggle();
 	//})
 	//
 	//$(".sharesrc").hover(function(){
// 		$(this).find(".shareopeart").stop(true,true).animate({
// 			"bottom": "0px"
// 		});
 	//}, function() {
// 		$(this).find(".shareopeart").stop(true,true).animate({
// 			"bottom": "-30px"
// 		});
 	//})


});

